Click or drag to resize

OrdinateDimensionGet3dPoints Method

Get locations of dimension's 3d points

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool Get3dPoints(
	out Point3d basepoint,
	out Point3d defpoint,
	out Point3d leaderpoint,
	out Point3d kinkpoint1,
	out Point3d kinkpoint2
)

Parameters

basepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="basepoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

defpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

leaderpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="leaderpoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

kinkpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="kinkpoint1"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

kinkpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="kinkpoint2"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.OrdinateDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Version Information

Rhino for Windows

Supported in: 6.4
See Also